%define         subrel 1
%define         git      ""
%define         gitdate  20140418
%define         _disable_ld_no_undefined      1
# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so
 
Name:           libyui-bindings
Version:        1.0.4
Release:        %mkrel -c git%{gitdate} 10
License:        LGPLv2+
Summary:        Bindings for libyui
Group:          Development/Other
BuildRequires:  cmake
BuildRequires:  perl-devel
BuildRequires:  ruby-devel
BuildRequires:  ruby-RubyGems
BuildRequires:  swig
BuildRequires:  %{_lib}yui-devel
BuildRequires:  %{_lib}yui-mga-devel
BuildRequires:  pkgconfig(python3)
BuildRequires:  pkgconfig(python)

Source0:       %{name}-%{version}-%{gitdate}.tar.bz2
Patch0:        %{name}-0.1.0-perlcmake.patch
Patch1:        %{name}-0.1.4-build-only-python.patch
Patch2:        %{name}-1.0.4-swig_YItem_comparison.patch
#branch anaselli on github to get libyui-mga included in
#TODO manage with patches
Url:            https://github.com/anaselli/libyui-bindings/tree/mageia

%description
This package provides different languages bindings to access functions of
libyui - the YaST User Interface engine that provides the
abstraction from graphical user interfaces (Qt, Gtk) and text based
user interfaces (ncurses).

%prep
%setup -q -n %{name}-%{version}-%{gitdate}
cp -a . %{py3dir}

%patch0 -p1

pushd %{py3dir}
%patch1 -p0
popd

%patch2 -p1

%build
pushd %{py3dir}
%cmake -DPYTHON_EXECUTABLE=%{__python3} \
       -DPYTHON_INCLUDE_PATH=%{py3_incdir} \
       -DPYTHON_SITEDIR=%{python3_sitearch} \
       -DPYTHON_LIB_DIR=%{_libdir}/python%{py3_ver}
%make
popd
%cmake -DPYTHON_EXECUTABLE=%{__python} \
       -DPYTHON_INCLUDE_PATH=%{py_incdir} \
       -DPYTHON_SITEDIR=%{python_sitearch} \
       -DPYTHON_LIB_DIR=%{_libdir}/python%{py_ver}
%make

%install
pushd %{py3dir}
%makeinstall_std -C build
popd
%makeinstall_std -C build

%package -n ruby-yui
License:        GPLv2+
Summary:        Ruby bindings for libyui
Group:          Development/Ruby

%description -n ruby-yui
This package provides Ruby language bindings to access functions of
libyui - the YaST User Interface engine that provides the
abstraction from graphical user interfaces (Qt, Gtk) and text based
user interfaces (ncurses).

%package -n python-yui
License:        GPLv2+
Summary:        Python bindings for libyui
Group:          Development/Python

%description -n python-yui
This package provides Python language bindings to access functions of
libyui - the YaST User Interface engine that provides the
abstraction from graphical user interfaces (Qt, Gtk) and text based
user interfaces (ncurses).

%package -n python3-yui
License:        GPLv2+
Summary:        Python bindings for libyui
Group:          Development/Python

%description -n python3-yui
This package provides Python 3 language bindings to access functions of
libyui - the YaST User Interface engine that provides the
abstraction from graphical user interfaces (Qt, Gtk) and text based
user interfaces (ncurses).

%package -n perl-yui
License:        GPLv2+
Summary:        Perl bindings for libyui
Group:          Development/Perl

%description -n perl-yui
This package provides Perl language bindings to access functions of
libyui - the YaST User Interface engine that provides the
abstraction from graphical user interfaces (Qt, Gtk) and text based
user interfaces (ncurses).

%files -n ruby-yui
%doc swig/ruby/examples/*.rb
%{ruby_vendorarchdir}/_yui.so

%files -n python-yui
%doc swig/python/examples/*.py
%{python_sitearch}/_yui.so
%{python_sitearch}/yui.*

%files -n python3-yui
%doc swig/python/examples/*.py
%{python3_sitearch}/_yui.so
%{python3_sitearch}/yui.*
%if %mgaversion > 3
%{python3_sitearch}/__pycache__/yui.*
%endif

%files -n perl-yui
%doc swig/perl/examples/*.pl
%{perl_vendorarch}/yui.so
%{perl_vendorlib}/yui.pm



%changelog
* Tue Aug 18 2015 anaselli <anaselli> 1.0.4-0.git20140418.10.1.mga5
+ Revision: 865639
- fixed https://github.com/libyui/libyui-bindings/issues/15
  Yitems are hard to manage in perl bindings

* Wed Oct 15 2014 umeabot <umeabot> 1.0.4-0.git20140418.10.mga5
+ Revision: 742471
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0.4-0.git20140418.9.mga5
+ Revision: 726958
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0.4-0.git20140418.8.mga5
+ Revision: 681911
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 anaselli <anaselli> 1.0.4-0.git20140418.7.mga5
+ Revision: 670515
- rebuilt

* Sat Jun 14 2014 matteo <matteo> 1.0.4-0.git20140418.6.mga5
+ Revision: 636215
- rebuild needed because of the boot_yui symbol not found issue

* Sat May 31 2014 pterjan <pterjan> 1.0.4-0.git20140418.5.mga5
+ Revision: 629689
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 1.0.4-0.git20140418.4.mga5
+ Revision: 628317
- Rebuild for new Python

* Tue Apr 22 2014 anaselli <anaselli> 1.0.4-0.git20140418.3.mga5
+ Revision: 617452
- Back compatibility

* Sun Apr 20 2014 philippem <philippem> 1.0.4-0.git20140418.2.mga5
+ Revision: 617199
- add Python3

* Fri Apr 18 2014 anaselli <anaselli> 1.0.4-0.git20140418.1.mga5
+ Revision: 616902
- source packages
- sync with upstream master

* Sat Mar 29 2014 anaselli <anaselli> 1.0.4-0.git20140329.1.mga5
+ Revision: 609683
- 1.0.4 mageia branch

* Tue Dec 31 2013 dmorgan <dmorgan> 1.0.2-0.git20130630.6.mga4
+ Revision: 563401
- Fix file list

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Sep 21 2013 fwang <fwang> 1.0.2-0.git20130630.4.mga4
+ Revision: 482940
- rebuild for ruby 2.0
- boost is not required

* Wed Jul 10 2013 fwang <fwang> 1.0.2-0.git20130630.3.mga4
+ Revision: 452363
- rebuild for new boost

* Mon Jul 01 2013 anaselli <anaselli> 1.0.2-0.git20130630.2.mga4
+ Revision: 448668
- rebuilt for libyui-gtk

* Sun Jun 30 2013 anaselli <anaselli> 1.0.2-0.git20130630.1.mga4
+ Revision: 448658
- new version

* Sun Jan 20 2013 anaselli <anaselli> 1.0.0-0.git20120915.10.mga3
+ Revision: 390200
- Fixed with a patch to give upstream

* Sun Jan 20 2013 fwang <fwang> 1.0.0-0.git20120915.9.mga3
+ Revision: 390062
- specify utf-8 when installing too

  + anaselli <anaselli>
    - Fixed missed YItemCollector

* Fri Jan 18 2013 anaselli <anaselli> 1.0.0-0.git20120915.8.mga3
+ Revision: 389487
- Added YSettings

* Sat Jan 12 2013 umeabot <umeabot> 1.0.0-0.git20120915.7.mga3
+ Revision: 358733
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 anaselli <anaselli> 1.0.0-0.git20120915.6.mga3
+ Revision: 341415
- Rebuilt against new libyui

* Sat Nov 10 2012 anaselli <anaselli> 1.0.0-0.git20120915.5.mga3
+ Revision: 316883
- Rebuilt for new libyui

* Sat Nov 03 2012 fwang <fwang> 1.0.0-0.git20120915.4.mga3
+ Revision: 313450
- force utf-8 encoding
- rebuild for new ruby

  + anaselli <anaselli>
    - Rebuilt for new libyui

* Sun Sep 16 2012 anaselli <anaselli> 1.0.0-0.git20120915.2.mga3
+ Revision: 294607
- bumped to build against new libyui

* Sun Sep 16 2012 anaselli <anaselli> 1.0.0-0.git20120915.1.mga3
+ Revision: 294384
- updated to git version 1.0.0 b6ccfd4

* Mon Jul 02 2012 matteo <matteo> 1.0.0-0.git.8a9290f.1.mga3
+ Revision: 266793
- using git master tarball
- added patch to use FindPerlLibs.cmake instead of FindPerl.cmake
- using _disable_ld_no_undefined
- imported package libyui-bindings

